Bug 849470 - Review Request: oscache - High performance J2EE caching solution
Review Request: oscache - High performance J2EE caching solution
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
BuildFails
:
Depends On: 1106947
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-19 14:45 EDT by gil cattaneo
Modified: 2015-12-04 01:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-04 01:04:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-08-19 14:45:49 EDT
Spec URL: http://gil.fedorapeople.org/oscache.spec
SRPM URL: http://gil.fedorapeople.org/oscache-2.4.1-1.fc16.src.rpm
Description: OSCache solves fundamental problems for dynamic websites:
+ Caching Dynamic Content - Dynamic content must often be
executed in some form each request, but sometimes that
content doesn't change every request. Caching the whole
page does not help because sections of the page change
every request. OSCache solves this problem by providing
a means to cache sections of JSP pages.
+ Caching Binary Content - Generated images and PDFs can
be very costly in terms of server load. OSCache solves
this problem through a Servlet 2.3 CachingFilter which
can cache any URI (such as an entire page or a generated
image/PDF)
+ Error Tolerance - If one error occurs somewhere on your
dynamic page, chances are the whole page will be returned
as an error, even if 95%% of the page executed correctly.
OSCache solves this problem by allowing you to serve the
cached content in the event of an error, and then
reporting the error appropriately.
Fedora Account System Username: gil
Comment 1 Jason Tibbitts 2013-06-10 19:40:22 EDT
Build fails for the usual reason.  Setting needinfo so this will drop out of the review queue until a fixed package appears.
Comment 2 gil cattaneo 2013-06-11 05:48:50 EDT
sorry, missing some BR, as maven-local

Spec URL: http://gil.fedorapeople.org/oscache.spec
SRPM URL: http://gil.fedorapeople.org/oscache-2.4.1-1.fc18.src.rpm

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5490146
Comment 3 Mikolaj Izdebski 2015-02-12 02:39:44 EST
Package fails to build. It needs to be fixed before review.
Comment 5 gil cattaneo 2015-05-12 03:53:33 EDT
Spec URL: http://gil.fedorapeople.org/oscache.spec
SRPM URL: http://gil.fedorapeople.org/oscache-2.4.2-1.fc20.src.rpm

- update to 2.4.2
Comment 6 gil cattaneo 2015-12-04 01:04:24 EST
No more interested

Note You need to log in before you can comment on or make changes to this bug.